查看: 1143|回复: 2|关注: 0

[已答复] 使用svm工具包时svmtrain出错。Y must be a vector or a character array.

[复制链接]

新手

17 麦片

财富积分


050


16

主题

28

帖子

0

最佳答案
发表于 2018-3-1 16:11:19 | 显示全部楼层 |阅读模式
运行程序时出现如下错误提示:
Error using svmtrain (line 234)
Y must be a vector or a character array.
我用的是libsvm3.22的工具箱,按网上的方法都试了一下,还是不行。
1.set path-add with subfolders-添加libsvm3.22的matlab工具箱,不行
2.在libsvm3.22的matlab工具箱目录下运行程序,不行
3.在matlab的安装目录-toolbox-stats-stats目录下还有个svmtrain的m文件,删除后重新添加路径运行还是不行
请问会是什么问题呢?是工具箱的版本不对吗?

新手

17 麦片

财富积分


050


16

主题

28

帖子

0

最佳答案
 楼主| 发表于 2018-3-5 09:12:19 | 显示全部楼层
请问有人知道怎么解决吗

新手

5 麦片

财富积分


050


1

主题

11

帖子

0

最佳答案
发表于 2019-2-1 22:26:01 | 显示全部楼层
你好,你这个问题解决了吗,我也是这个问题,请问一下是怎么解决的
您需要登录后才可以回帖 登录 | 注册

本版积分规则

关闭

站长推荐上一条 /4 下一条

快速回复 返回顶部 返回列表